<?php 
if(!defined('PLX_ROOT')) exit;
//error_reporting(E_ALL);

# Control du token du formulaire
//plxToken::validateFormToken($_POST);

function trim_value(&$value){
  return trim($value, " \t\n\r\0\x0B/");
}
// Reset du compteur de SPAMs
if(!empty($_POST["reset_BL"])) {
  $plxPlugin->setParam('blackListed', 0, 'numeric');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=ModerationList');
	exit;
}

# Si on a des arguments POST, c'est que l'utilisateur a demandé à enregistrer les nouveaux paramètres.
# On enregistre donc.
if(!empty($_POST)) {
	
	$plxPlugin->setParam('useWL', (($_POST['useWL']==1)?1:0), 'numeric');
	$plxPlugin->setParam('whiteList', serialize( array_map('trim_value',explode("\n",strtolower(plxUtils::strCheck(trim(str_replace(array("\r\n","\r"),"\n",$_POST['whiteList']))))))), 'cdata');
	$plxPlugin->setParam('autoAddWLIP', (($_POST['autoAddWLIP']==1)?1:0), 'numeric');
	$plxPlugin->setParam('autoAddWLMail', (($_POST['autoAddWLMail']==1)?1:0), 'numeric');
	$plxPlugin->setParam('autoAddWLSite', (($_POST['autoAddWLSite']==1)?1:0), 'numeric');

	$plxPlugin->setParam('useBL', (($_POST['useBL']==1)?1:0), 'numeric');
	$plxPlugin->setParam('blackList', serialize( array_map('trim_value',explode("\n",strtolower(plxUtils::strCheck(trim(str_replace(array("\r\n","\r"),"\n",$_POST['blackList']))))))), 'cdata');
	$plxPlugin->setParam('autoAddBLIP', (($_POST['autoAddBLIP']==1)?1:0), 'numeric');
	$plxPlugin->setParam('autoAddBLMail', (($_POST['autoAddBLMail']==1)?1:0), 'numeric');
	$plxPlugin->setParam('autoAddBLSite', (($_POST['autoAddBLSite']==1)?1:0), 'numeric');
	
	$plxPlugin->setParam('autoBLTimer', (int) $_POST['autoBLTimer'], 'numeric');
	$plxPlugin->setParam('forceModeration', (($_POST['forceModeration']==1)?1:0), 'numeric');
	$plxPlugin->setParam('adminText', (($_POST['adminText']==1)?1:0), 'numeric');
	$plxPlugin->setParam('deleteBlacklisted', (($_POST['deleteBlacklisted']==1)?1:0), 'numeric');
	$plxPlugin->setParam('saveMode', (int) $_POST['saveMode'], 'numeric');

	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=ModerationList');
	exit;
}
?>

<style type="text/css">
.ModerationList fieldset{
margin-top:10px;
border-top:2px solid #666;
}
.ModerationList legend{
margin-bottom:0;
margin-left:10px;
padding:5px;
}
.ModerationList textarea{
width:100%;
height:150px;
}
.ModerationList label,.ModerationList input{
display:inline-block;
margin-right:10px;
}
.ModerationList .col{
margin-left:1rem;
padding-left:0;
padding-right:0
}
.ModerationList li{
list-style-type:none;
}
.ModerationList input[type=number]{
  width:80px;
}
</style>
<div class="ModerationList">
<p>Nombre total de commentaires identifiés comme SPAM : <?php echo $plxPlugin->blackListed; ?></p>
	<form action="parametres_plugin.php?p=ModerationList" method="post">
	  <div class="grid">
		<fieldset class="col sml-10 med-5 lrg-5">
		  <legend>White List</legend>
			<p class="field"><label for="id_useWL">Utiliser la WhiteList : </label><input type="checkbox" id="id_useWL" name="useWL" value=1 <?php if ($plxPlugin->useWL) echo "checked=\"checked\""; ?>></p>
      <p class="field"><label for="whiteList">WhiteList : Saisir E-mail, Url site ou IP - 1 par ligne</label></p>
      <textarea name="whiteList" id="whiteList"><?php echo implode("\n", $plxPlugin->whiteList); ?></textarea>
      
      <p>Lors d'un ajout à la White List via la page d'administration des commentaires, ajouter :
      <ul>
      <li><input type="checkbox" id="id_autoAddWLIP" name="autoAddWLIP" value=1 <?php if ($plxPlugin->autoAddWLIP) echo "checked=\"checked\""; ?>><label for="id_autoAddWLIP"> IP </label></li>
      <li><input type="checkbox" id="id_autoAddWLMail" name="autoAddWLMail" value=1 <?php if ($plxPlugin->autoAddWLMail) echo "checked=\"checked\""; ?>><label for="id_autoAddWLMail"> Email</label></li>
      <li><input type="checkbox" id="id_autoAddWLSite" name="autoAddWLSite" value=1 <?php if ($plxPlugin->autoAddWLSite) echo "checked=\"checked\""; ?>><label for="id_autoAddWLSite"> Site</label></li>
      </ul></p>      
    </fieldset>
    
		<fieldset class="col sml-10 med-5 lrg-5">
		  <legend>Black List</legend>
			<p class="field"><label for="id_useBL">Utiliser la BlackList : </label><input type="checkbox" id="id_useBL" name="useBL" value=1 <?php if ($plxPlugin->useBL) echo "checked=\"checked\""; ?>></p>
      <p class="field"><label for="blackList">BlackList : Saisir E-mail, Url site ou IP - 1 par ligne</label></p>
      <textarea name="blackList" id="blackList"><?php echo implode("\n", $plxPlugin->blackList); ?></textarea>

      <p>Lorsqu'un spammeur est identifié par le plugin ou lors d'un ajout à la Black List via la page d'administration des commentaires, ajouter :
      <ul>
      <li><input type="checkbox" id="id_autoAddBLIP" name="autoAddBLIP" value=1 <?php if ($plxPlugin->autoAddBLIP) echo "checked=\"checked\""; ?>><label for="id_autoAddBLIP"> IP </label></li>
      <li><input type="checkbox" id="id_autoAddBLMail" name="autoAddBLMail" value=1 <?php if ($plxPlugin->autoAddBLMail) echo "checked=\"checked\""; ?>><label for="id_autoAddBLMail"> Email</label></li>
      <li><input type="checkbox" id="id_autoAddBLSite" name="autoAddBLSite" value=1 <?php if ($plxPlugin->autoAddBLSite) echo "checked=\"checked\""; ?>><label for="id_autoAddBLSite"> Site</label></li>
      </ul></p>
    </fieldset>
    </div>
    
		<fieldset>
		  <legend>Autres paramètres</legend>
			<p class="field"><label for="id_autoBLTimer">Temps (en secondes) au dessous duquel un commentaire est refusé/blacklisté automatiquement (0 pour désactiver) : </label>
			<?php plxUtils::printInput('autoBLTimer', $plxPlugin->autoBLTimer, 'number', '5-5') ?></p>
			<p class="field"><label for="id_forceModeration">Appliquer les contrôles même si le commentaire est posté sans site : </label><input type="checkbox" id="id_forceModeration" name="forceModeration" value=1 <?php if ($plxPlugin->forceModeration) echo "checked=\"checked\""; ?>></p>
			<p class="field"><label for="id_adminText">Ne pas remplacer les textes d'action sur la page admin des commentaires par des icones : </label><input type="checkbox" id="id_adminText" name="adminText" value=1 <?php if ($plxPlugin->adminText) echo "checked=\"checked\""; ?>></p>
			<p class="field"><label for="id_deleteBlacklisted">Supprimer automatiquement les messages blacklistés (au lieu de juste les mettre hors ligne) : </label><input type="checkbox" id="id_deleteBlacklisted" name="deleteBlacklisted" value=1 <?php if (isset($plxPlugin->deleteBlacklisted)) echo "checked=\"checked\""; ?>></p>
			<p class="field"><label for="id_saveMode">Lorsqu'un SPAM est détecté : </label>
      <?php plxUtils::printSelect('saveMode', array("1"=>"Le tagger comme SPAM","2"=>"Le mettre en modération","3"=>"Rejeter le message"), $plxPlugin->saveMode) ?>
      </p>
    </fieldset>

		<p class="in-action-bar"><?php echo plxToken::getTokenPostMethod() ?>
		<input type="submit" name="submit" value="Sauvegarder" />
    <input type="submit" name="reset_BL" value="RAZ Compteur" title="Réinitialiser le compteur de SPAMS"  onclick="return confirm('Confirmer la remise à 0 du compteur de SPAMS ?');"/>
		</p>
	</form>
</div>